typedef struct {
	BIT  *Taster;            /* IO=E REM="Tasteingang"*/
	BIT  *Z_Ein;             /* IO=E REM="Zentral Eintaster"*/
	BIT  *Z_Aus;             /* IO=E REM="Zentral Austaster"*/
	BIT  *Beweg;             /* IO=E REM="Eingang Bewegungsmelder"*/
	UI	 *AUS_Taster;        /* IO=E REM="Ausschaltverzgerung Taster"*/
  UI   *AUS_Beweg;         /* IO=E REM="Ausschaltverzgerung Bewegungsmelder"*/
	BIT  *Ausgang;           /* IO=A REM="Schaltausgang"*/
  ULI   *__merker1;			   /*      REM="Zwischenspeicher Ticker Taster"*/
  ULI   *__merker2;         /*     REM="Zwischenspeicher Ticker Besegungsmelder"*/

} ELTAKO_LIBMAKBIBV001;    /*      REM="eltako_libmakbibv001"*/
/**/
/*ELTAKO stellt ein Stromstossrelais zur Verfgung. Der Eingang Taster kann als*/
/*Tasteingang genutzt werden. Mit einem positiven Impuls am Eingang startet die*/
/*Ausschaltverzgerung "AUS_Taster". Nach ablauf der eingestellten Zeit (in sek)*/
/*schaltet "Ausgang" wieder aus. */
/*"Z_Ein" dient als zentrale Einschaltung. Ist dieser Eingang gesetzt, so wird der*/
/*Ausgang unmittelbar eingeschaltet. "Z_Ein" hat vorrang vor "Z_Aus".*/
/*Wird "Z_Aus" mit einer eins beschaltet, so wird der Ausgang ausgeschaltet und*/
/*noch laufende Timer zurckgesetzt. Es ist zu beachten, das "Z_Ein" vorrang hat!*/
/*"Beweg" kann als Eingang fr einen Bewegungsmelder genutzt werden. Solange am*/
/*Eingang eine eins anliegt, wird der Ausgang gesetzt. Schaltet der Eingang auf null*/
/*um, so luft die unter "AUS_Beweg" eingestellte Zeit ab, anschlieend schaltet der*/
/*Ausgang zurck.*/
/*"AUS_Taster" ist die Ausschalteverzgerung fr den Tasteingang. Wird dieser mit 0*/
/*beschrieben, so arbeitet der Tasteingang als Umschalter.*/
/*"AUS_Beweg" ist die Aussschaltverzgerung fr den Bewegungsmeldereingang. Wird dieser*/
/*mit 0 beschrieben, so ist der Bewegungsmelder ausser Betrieb.*/
/*"Ausgang" ist der Schaltausgang des Moduls*/
/**/

/* GRUPPE=MAKBIB_V001 */
void eltako_libmakbibv001    (ELTAKO_LIBMAKBIBV001 *io);
/**/
