// ***********************************************************************
//                            main.c                                 
//                                                                     
//  Hauptprogramm   COSMOS 3000 OPEN;            
// 
// ***********************************************************************

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "variadef.h"
#include "zeitfunk.h"
#include "__can.h"
#include "memvar.h"
#include "suspend.h"
#include "shminit2.h"
#include "shmcnf.h"
#include "__lock.h"
#include "__uhr.h"
#include "__lognws.h"
#include "__tools.h"
#include "fup.h"
#include "mainbdf.h"
#include "_cnakt13.h"
#include "_syhwr13.h"
#include "_sysow13.h"
#include "_syrun13.h"


#define PROGRAM_VERSION  "1.042"
#define VERSION_SW_MAJOR         1
#define VERSION_SW_MINOR        42
#define VERSION_SW_REVISION     "  "

extern ZEIT zeit;
extern void regelung(void);
extern UC start_flag;

int main(void)				// MAIN
{
	int 	ResultShm;
	SLI 	ext_timeout;
  static UI alt_sekunde;
  static UI alt_minute;
	static	UI	iRunCount;

	SendLogNewsMessageCC("Version ", PROGRAM_VERSION);
  ticker_test();
	setShmStandardFileName("../prog1/shm.cnf");
  LOCK_SetFileName("lock.cnf");
	ResultShm = mainShmInit(NULL);
	if (ResultShm==0) InitMainVar();
	else return -1;

  start_flag   	=		1;
  *uhr_stellen 	=		1;
  alt_sekunde 	=		0xFFFF;
  alt_minute 		=		0xFFFF;
	iRunCount 		=		0;

	// Initialisierung  Hardware-spezifischen Parameter
	Init_HardwareParam ();

	// Initialisierung der Software-spezifischen Parameter
	Init_SoftwareParam (VERSION_SW_MAJOR,VERSION_SW_MINOR,VERSION_SW_REVISION);

	// Initialisierung der Schnittstellen-Parameter: CAN, COM
	Init_InterfaceParam ();

  while (!0) 
  {
		iRunCount++;
		ticker_test ();
    regelung();
		akttrans();
		cantrans();
		SystemCycle();
    if (alt_sekunde!=zeit.sekunde) {		// Sekunde
      alt_sekunde=zeit.sekunde;
			sps_vari[ZUMLAUF] = iRunCount;
			iRunCount = 0;
			SystemCycleSec();
    }
    if (alt_minute!=zeit.minute) {			 // Minute
      alt_minute=zeit.minute;
      SystemCycleMin();
    }
		if (LimitCycles(250) == 0)
		{
			SUSPEND();
		}
		start_flag  = 0;
  }
  return 0;
}

