// ***********************************************************************
//                            main.c                                 
//                                                                     
//  Hauptprogramm   COSMOS 3000 OPEN;            
//           
//  $Revision: $                                                  
//  $Date: $                                      
//  $Author: $                                              
//  $Source: $
// 
//  $Log: $
//  Revision 1.016a   2004/09/01 18:01:53  uwissmann
//	Versionsnummer   
// 
// ***********************************************************************

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "variadef.h"
#include "zeitfunk.h"
#include "__can.h"
// #include "__cdef01.h"			// ab V1032   Vorher : __candef.h
#include "memvar.h"

#include "suspend.h"
#include "shminit2.h"
#include "shmcnf.h"
#include "__lock.h"
#include "__uhr.h"
#include "__rsbus.h"
#include "zwei_bus.h"
#include "__lognws.h"
#include "__canakt.h"
#include "__canini.h"
#include "__tools.h"
#include "__chksr1.h"
#include "fup.h"
#include "mainbdf.h"

#define PROGRAM_VERSION "1.034d"
#define EXT_TIMEOUT 		50L

extern ZEIT zeit;
extern void regelung(void);				// (mainprj.c)
extern UC start_flag;

int main(void)									// Hauptprogramm   MAIN
{
	int 	ResultShm;
	SLI 	ext_timeout;
  static UI alt_sekunde;
  static UI alt_minute;
	static	UI	iRunCount;
	
	SendLogNewsMessageCC("Version ", PROGRAM_VERSION);
  ticker_test();																// Ticker setzen
	setShmStandardFileName("../prog1/shm.cnf");

  LOCK_SetFileName("lock.cnf");
	ResultShm = mainShmInit(NULL);						 		// Standard-Datei: shm.cnf 

	if (ResultShm==0){
		puts("Shared-Memory wurde eingeblendet\n");
		InitMainVar ();
	} else
	{
		puts("Shared-Memory konnte nicht eingeblendet werden\n");
		puts(" -- Programm wird beendet -- \n");
		return -1;						
	}
	
  start_flag   	=		1;
  *uhr_stellen 	=		1;
  alt_sekunde 	=		0xFFFF;
  alt_minute 		=		0xFFFF;
	iRunCount 		=		0;
		
	sps_vari[C1INIT] = 0x0000;
	sps_vari[C2INIT] = 0x0000;
	sps_vari[C3INIT] = 0x0000;
	
	  // Initialisierung fuer Hardware spezifische Funktionen
   if (Init_HWType())	return -1; 
		
  verzoegr(&ext_timeout,EXT_TIMEOUT,1);						// Startverzgerung
  while ( verzoegr(&ext_timeout,EXT_TIMEOUT,0)) ;  

	// Initialisierung der COM-Schnittstellen-Parameter
	CHKSER_Init(sps_vari);
	// RS485 / COM3 initialisieren
	SER_INIT(__INTSER);		
	//	Initialisierung der CAN-Module
	CanModInit();		
 
  while (!0) {

		iRunCount++;
		ticker_test ();

    regelung();
		akttrans();
		cantrans();
		
    if (alt_sekunde!=zeit.sekunde) {			// Sekunde
      alt_sekunde=zeit.sekunde;
			sps_vari[ZUMLAUF] = iRunCount;
			iRunCount = 0;
			CHKSER_Check();
    }

    if (alt_minute!=zeit.minute) {				// Minute
      alt_minute=zeit.minute;
    }
	
		if (LimitCycles(250) == 0)
		{
			SUSPEND();
		}

		start_flag  = 0;
  }
  return 0;
}

